SymetryML Documentation
Streams

Stop stream

Suspend the background consumer task for a running `kafka`/`nats` Data Source without detaching/deleting it — the Data Source remains attached to the project and can be resumed with [Start stream](/docs/api-reference/streams/projects-project-streams-dsname-start-get).

GET
/{user}/projects/{project}/streams/{dsName}/stop

Suspend the background consumer task for a running kafka/nats Data Source without detaching/deleting it — the Data Source remains attached to the project and can be resumed with Start stream.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

dsName*string

Data source name

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/projects/nbra_prj_iris/streams/nbra_ds_sftp_iris/stop"
{  "statusCode": 200,  "statusString": "OK",  "values": {}}
{  "statusCode": 500,  "statusString": "Generic Exception [java.lang.Exception: Stream [nosuchstream] is not running existing:kafka_stream_0::c1==prj0]",  "values": {}}